Product comparison · 2 network switches

Allied Telesis AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey vs Allied Telesis AT-x510-28GTX-50 Managed L3 Gigabit Ethernet (10/100/1000) Grey

Add a product
  • 42specifications compared
  • 23differ
  • 19identical
  • 47known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:26
    • AT-x510-28GTX-50 Managed L3 Gigabit Ethernet (10/100/1000) Grey:24
  • Fast Ethernet (copper) ports quantity
    • AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:24
    • AT-x510-28GTX-50 Managed L3 Gigabit Ethernet (10/100/1000) Grey:0
  • Gigabit Ethernet (copper) ports quantity
    • AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:2
    • AT-x510-28GTX-50 Managed L3 Gigabit Ethernet (10/100/1000) Grey:24
  • 10G support
    • AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:No
    • AT-x510-28GTX-50 Managed L3 Gigabit Ethernet (10/100/1000) Grey:Yes
  • MAC address table
    • AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:8000 entries
    • AT-x510-28GTX-50 Managed L3 Gigabit Ethernet (10/100/1000) Grey:16000 entries
  • Switching capacity
    • AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:12.8 Gbit/s
    • AT-x510-28GTX-50 Managed L3 Gigabit Ethernet (10/100/1000) Grey:128 Gbit/s
  • Packet buffer memory
    • AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:4.1 MB
    • AT-x510-28GTX-50 Managed L3 Gigabit Ethernet (10/100/1000) Grey:2 MB
  • DHCP features
    • AT-FS750/28PS-30 network switch Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:DHCP client
    • AT-x510-28GTX-50 Managed L3 Gigabit Ethernet (10/100/1000) Grey:DHCP server, DHCP client

Side by side

Differences highlightedShow differences only (off)
Comparison of AT-FS750/28PS-30, AT-x510-28GTX-50
89 specifications
Management features1 differ
Switch typeManagedManaged
Quality of Service (QoS) supportYesYes
Web-based managementYesYes
System event logKnown for oneYesUnknown — not stated by the source
MIB supportDiffersRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIBYes
Switch layerKnown for oneUnknown — not stated by the sourceL3
Ports & interfaces4 differ
Basic switching RJ-45 Ethernet ports quantityDiffers2624
Basic switching RJ-45 Ethernet ports typeDiffersFast Ethernet (10/100)Gigabit Ethernet (10/100/1000)
Fast Ethernet (copper) ports quantityDiffers240
Gigabit Ethernet (copper) ports quantityDiffers224
Installed SFP modules quantityKnown for one0Unknown — not stated by the source
Installed SFP+ modules quantityKnown for one0Unknown — not stated by the source
Combo SFP ports quantityKnown for one2Unknown — not stated by the source
Fiber optic connectorSFPSFP
SFP/SFP+ slots quantityKnown for oneUnknown — not stated by the source0
SFP+ module slots quantityKnown for oneUnknown — not stated by the source4
Fiber ports quantityKnown for oneUnknown — not stated by the source4
Console portKnown for oneUnknown — not stated by the sourceRJ-45
Power connectorKnown for oneUnknown — not stated by the sourceDC-in jack
Network3 differ
Networking standardsDiffersIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3zIEEE 802.2, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3ae, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportDiffersNoYes
Copper ethernet cabling technologyDiffers10BASE-T, 100BASE-TX, 100BASE-T, 1000BASE-T1000BASE-T, 100BASE-T, 10BASE-T
Port mirroringYesYes
Broadcast storm controlKnown for oneYesUnknown — not stated by the source
Flow control supportYesYes
Head-of-line (HOL) blockingKnown for oneYesUnknown — not stated by the source
Link aggregationYesYes
Rate limitingYesYes
Spanning tree protocolKnown for oneYesUnknown — not stated by the source
VLAN supportYesYes
Virtual LAN featuresKnown for oneVLAN Identifier ( VLAN ID), Tagged VLAN, Port-based VLANUnknown — not stated by the source
Number of VLANsKnown for one256Unknown — not stated by the source
Full duplexKnown for oneUnknown — not stated by the sourceYes
Data transmission3 differ
MAC address tableDiffers8000 entries16000 entries
Switching capacityDiffers12.8 Gbit/s128 Gbit/s
Forwarding rateKnown for one9.5 MppsUnknown — not stated by the source
Number of queuesKnown for one4Unknown — not stated by the source
Jumbo frames supportKnown for oneYesUnknown — not stated by the source
Jumbo framesKnown for one10000Unknown — not stated by the source
Packet buffer memoryDiffers4.1 MB2 MB
ThroughputKnown for oneUnknown — not stated by the source95.2 Mpps
Latency (1 Gbps)Known for oneUnknown — not stated by the source6.7 µs
Latency (10 Gbps)Known for oneUnknown — not stated by the source4.9 µs
Security1 differ
DHCP featuresDiffersDHCP clientDHCP server, DHCP client
Access Control List (ACL)Known for oneYesUnknown — not stated by the source
Access Control List (ACL) rulesKnown for one200Unknown — not stated by the source
IGMP snoopingYesYes
AuthenticationKnown for oneMAC-based authentication, Port-based authenticationUnknown — not stated by the source
Authentication typeKnown for oneRADIUSUnknown — not stated by the source
MAC address filteringKnown for oneYesUnknown — not stated by the source
Password protectionKnown for oneYesUnknown — not stated by the source
Security algorithmsKnown for one802.1x RADIUS, SNMPv3Unknown — not stated by the source
Multicast featuresidentical
Multicast supportYesYes
Number of multicast groups filteredKnown for one256Unknown — not stated by the source
Protocolsidentical
Management protocolsKnown for oneSNMPv1/v2c/v3Unknown — not stated by the source
Designidentical
Rack mountingYesYes
Form factorKnown for one1UUnknown — not stated by the source
Product colourGreyGrey
LED indicatorsYesYes
Wall mountableKnown for oneYesUnknown — not stated by the source
Performance3 differ
Memory typeDiffersDRAMDDR-SDRAM
Internal memoryDiffers128 MB512 MB
Flash memoryDiffers16 MB64 MB
Firmware upgradeableKnown for oneYesUnknown — not stated by the source
Noise levelKnown for oneUnknown — not stated by the source45 dB
Power2 differ
Power supply includedKnown for oneYesUnknown — not stated by the source
AC input voltageDiffers100 - 240 V90 - 260 V
AC input frequencyDiffers50 - 60 Hz47/63 Hz
Power consumption (max)Known for one241 WUnknown — not stated by the source
Power over Ethernet (PoE)3 differ
Power over Ethernet (PoE)DiffersYesNo
Power over Ethernet (PoE) ports quantityDiffers240
Power over Ethernet plus (PoE+) ports quantityDiffers40
Total Power over Ethernet (PoE) budgetKnown for one193 WUnknown — not stated by the source
Operational conditions1 differ
Operating temperature (T-T)Differs0 - 40 °C0 - 45 °C
Storage temperature (T-T)-25 - 70 °C-25 - 70 °C
Operating relative humidity (H-H)5 - 90%5 - 90%
Storage relative humidity (H-H)5 - 95%5 - 95%
Weight & dimensions2 differ
Width440 mm440 mm
DepthDiffers210 mm325 mm
Height44 mm44 mm
WeightDiffers5 kg4.3 kg
Packaging contentidentical
ManualKnown for oneYesUnknown — not stated by the source
Rack mount kitKnown for oneYesUnknown — not stated by the source
Quick start guideKnown for oneUnknown — not stated by the sourceYes
User guideKnown for oneUnknown — not stated by the sourceYes
Certificatesidentical
CertificationKnown for oneUL60950-1 2nd edition (UL) FCC/EN55022/CISPR 22 Class A VCCI Class A C-Tick EN60950 (TUV) EN55024 CE Mark CSA / cULUnknown — not stated by the source
Optical fiberidentical
Fiber ethernet cabling technologyKnown for oneUnknown — not stated by the source1000BASE‑LX, 1000BASE‑SX, 1000BASE‑ZX, 100BASE-BX, 100BASE-FX, 10GBASE-LR, 10GBASE-SR
Other featuresidentical
Power LEDKnown for oneUnknown — not stated by the sourceYes
Packaging dataidentical
Package weightKnown for oneUnknown — not stated by the source6.3 kg

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons